Bug 24009 - sound doesn't start at bootup.
Summary: sound doesn't start at bootup.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-15 00:07 UTC by Kenneth Topp
Modified: 2014-03-17 02:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-25 02:22:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenneth Topp 2001-01-15 00:07:47 UTC
with prior releases, rc.sysinit would load sound, but now only if usedma is
set???  This is major usability issue, as if sound is only demand loaded,
then it might miss the console.perms setting as with devfs system the /dev
entries will not be there.

I guess this wouldn't be a bug if operation with devfs isn't supported... 
I've been using devfs and have found only minimal patches needed, so I hope
that we could at least do:

if grep -q "options sound dmabuf=1" /etc/modules.conf 2>/dev/null || [ -e
/dev/.devfsd ]

as I have done... (if agreeable, I could post some more devfs diffs???)

Comment 1 Nalin Dahyabhai 2001-01-25 02:22:52 UTC
Using devfs is not an option at this time.  Some devices which we
consider important (i.e., DRM modules) do not register with it yet.


Note You need to log in before you can comment on or make changes to this bug.